# ArmoredSignatureType

open class ArmoredSignatureType : AbstractSignatureType

Armored signature type.

## Constructors

ArmoredSignatureType
Link copied to clipboard
constructor()

## Functions

combinedExtension
Link copied to clipboard
open fun combinedExtension(toSign: File): String
fileFor
Link copied to clipboard
open fun fileFor(toSign: File): File
getExtension
Link copied to clipboard
open fun getExtension(): String
sign
Link copied to clipboard
open fun sign(signatory: Signatory, toSign: File): File
open fun sign(signatory: Signatory, toSign: InputStream, destination: OutputStream)